%global srcname wand
%global sum Ctypes-based simple MagickWand API binding for Python

Name:           python-%{srcname}
Version:        0.4.4
Release:        3%{?dist}
Summary:        %{sum}

License:        MIT
URL:            http://%{srcname}-py.org
Source0:        https://github.com/dahlia/%{srcname}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python3-devel
Requires:       ImageMagick

%description
Wand is a ctypes-based simple ImageMagick binding for Python. It doesn't cover
all functionalities of MagickWand API currently.

%package     -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}
Obsoletes:      python-%{srcname} < 0.4.2-3

%description -n python2-%{srcname}
Wand is a ctypes-based simple ImageMagick binding for Python. It doesn't cover
all functionalities of MagickWand API currently.

%package     -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Wand is a ctypes-based simple ImageMagick binding for Python. It doesn't cover
all functionalities of MagickWand API currently.


%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
# Must do the python2 install first because the scripts in /usr/bin are
# overwritten with every setup.py install, and in general we want the
# python3 version to be the default.
%py2_install
%py3_install

rm $RPM_BUILD_ROOT/usr/README.rst

%files -n python2-%{srcname}
%doc README.rst
%license LICENSE
%{python2_sitelib}/*

%files -n python3-%{srcname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/*


%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.4.4-2
- Rebuild for Python 3.6

* Sun Oct 30 2016 Dennis Chen <barracks510@gmail.com> - 0.4.4-1
- Updated to Wand Version 0.4.4.

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.3-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Jun 24 2016 Dennis Chen <barracks510@gmail.com> - 0.4.3-1
- Updated to Wand Version 0.4.3.
- Modernized SPEC file.

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Dec 25 2015 Dennis Chen <barracks510@gmail.com> - 0.4.2-1
- Updated to Wand version 0.4.2.

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Nov 5 2015 Dennis Chen <barracks510@gmail.com> 0.4.1-3
- Python3.5 rawhide rebuild

* Wed Oct 28 2015 Dennis Chen <barracks510@gmail.com> 0.4.1-2
- Fix python3 runtime dependency
- Fix spec errors

* Tue Oct 27 2015 Dennis Chen <barracks510@gmail.com> 0.4.1-1
- First Fedora Packaging

